### Navigation

- next
- previous |
- pip 7.1.0 documentation »
- Reference Guide »

# pip freeze

Contents

- pip freeze
  - Usage
  - Description
  - Options
  - Examples

## Usage

    pip freeze [options]

## Description

Output installed packages in requirements format.

packages are listed in a case-insensitive sorted order.

## Options

`-r````,` `--requirement``<file>`

  Use the order in the given requirements file and its comments when generating output.

`-f````,` `--find-links``<url>`

  URL for finding packages, which will be added to the output.

`-l````,` `--local```

  If in a virtualenv that has global access, do not output globally-installed packages.

`--user```

  Only output packages installed in user-site.

## Examples

1. Generate output suitable for a requirements file.

>     $ pip freeze
>     docutils==0.11
>     Jinja2==2.7.2
>     MarkupSafe==0.19
>     Pygments==1.6
>     Sphinx==1.2.2

2. Generate a requirements file and then install from it in another environment.

>     $ env1/bin/pip freeze > requirements.txt
>     $ env2/bin/pip install -r requirements.txt

### Navigation

- next
- previous |
- pip 7.1.0 documentation »
- Reference Guide »